//
// Created by auric on 2/22/24.
//

#ifndef SANITY_H
#define SANITY_H

#define SANITY_SUCCESS 0       // 0b00000 - All checks passed
#define SANITY_CON_FAIL 1      // 0b00001 - /con check failed
#define SANITY_EXE_FAIL 2      // 0b00010 - /exe check failed
#define SANITY_UTI_FAIL 4      // 0b00100 - /uti check failed
#define SANITY_LIB_FAIL 8      // 0b01000 - /uti/lib check failed
#define SANITY_HDR_FAIL 16     // 0b10000 - /uti/hdr check failed


int isSysSane();
int isSyntaxSane(unsigned int flags, int pkgCount);

#endif //SANITY_H
